This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 829383 - Backend doesn't block non-VM networks for 3.0 DC
Backend doesn't block non-VM networks for 3.0 DC
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Oved Ourfali
Yaniv Kaul
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 11:06 EDT by Moti Asayag
Modified: 2016-02-10 14:46 EST (History)
8 users (show)

See Also:
Fixed In Version: si10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2012-06-06 11:06:09 EDT
Description of problem:
Bridge-less network feature introduced for 3.1 dc.
Clusters of 3.0 shouldn't support the feature and the 3.0 only supported vdsm will not be capable to support it, therefore adding a network as bridge-less should be blocked by the backend as a can-do-action failure.

How reproducible:
always

Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Oved Ourfali 2012-07-02 09:15:23 EDT
After some testing, changing the description to:

Non-VM networks feature introduced for 3.1 DC.
DCs of 3.0 shouldn't support the feature and the 3.0 only supported vdsm will not be capable to support it, therefore adding a network as non-VM network in DC version 3.0 should be blocked by the backend as a can-do-action failure.
Comment 2 Oved Ourfali 2012-07-03 07:10:27 EDT
Proposed patch:
http://gerrit.ovirt.org/#/c/5886/
Comment 3 Oved Ourfali 2012-07-03 10:03:13 EDT
Commit: c9ffff0ee7f879de34d2f79ad7978e25ce57ec42

http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=c9ffff0ee7f879de34d2f79ad7978e25ce57ec42
Comment 4 Avi Tal 2012-07-17 06:23:27 EDT
validate on SI10 - PASS
Unable to create non VM network in DC <3.0

an alert has popup which explain that this feature is not supported in DC 3.0

Note You need to log in before you can comment on or make changes to this bug.